Loading...
Searching...
No Matches
L4vbus power management functions
L4 Vbus functions
Collaboration diagram for L4vbus power management functions:

## Functions

L4_BEGIN_DECLS int | l4vbus_pm_suspend (l4_cap_idx_t vbus, l4vbus_device_handle_t handle)
| Suspend the device.
int | l4vbus_pm_resume (l4_cap_idx_t vbus, l4vbus_device_handle_t handle)
| Resume the device.

## Detailed Description

## Function Documentation

## l4vbus_pm_resume()

int l4vbus_pm_resume | ( | l4_cap_idx_t | vbus,
|  | l4vbus_device_handle_t | handle )

Resume the device.

Parameters

  vbus | V-BUS capability
  handle | Handle for the device to be resumed Switches the device from low-power mode to normal operation and restores the saved state.

Return values

  0 | Success.

References L4_END_DECLS.

Referenced by L4vbus::Pm< DEC >::pm_resume().

Here is the caller graph for this function:

## l4vbus_pm_suspend()

L4_BEGIN_DECLS int l4vbus_pm_suspend | ( | l4_cap_idx_t | vbus,
|  | l4vbus_device_handle_t | handle )

Suspend the device.

Parameters

  vbus | V-BUS capability
  handle | Handle for the device to be suspended Saves the state of the device and puts it into a low-power mode.

Return values

  0 | Success.

References L4_CV.

Referenced by L4vbus::Pm< DEC >::pm_suspend().

Here is the caller graph for this function: